Description

This is a guide for setting up FlowCytometryTools on Arch Linux.

Prepare the Environment

o Make sure the system is up to date:
pacman —-Syyuu
e |nstall a few dependencies:
pacman -S gcc-fortran-multilib git freetype2 pkgconf png

NOTE: The multilib repository must be enabled in the pacman config file.
NOTE: To use the FlowCytometryTools GUI, wxPython must be installed as well:

pacman —-S wxpython2.8

e Setup a Python development envirnoment, refer to issue #876

Install FlowCytometry with Pip

¢ Switch to the pydev user:
su - pydev
e Create the FlowCytometryTools virtualenv:
virtualenv2 FCT
o Activate the virtualenv:
source ./FCT/bin/activate
e NOTE: If using the GUI utility, create a symbolic link of the host wxpython library in the virtualenv library:
In -s /usr/lib/python2.7/site-packages/wx.pth ~/venv/FCT/lib/python2.7/site-packages/

¢ |nstall FlowCytometryTools:
https://project.altservice.com/issues/876

pip —-—no-cache-dir install flowcytometrytools

NOTE: | needed to install ipython inside the virtualenv, deactivate, then reactivate for the interactive shell to work:

pip install ipython

Install FlowCytometryTools from GitHub

[

Switch to the pydev user:

su - pydev

Create the FlowCytometryTools virtualenv:

virtualenv FCT

Activate the virtualenv:

source ./FCT/bin/activate

Clone the FlowCytometryTools from GitHub:

git clone https://github.com/eyurtsev/FlowCytometryTools.git
cd FlowCytometryTools

Run the install script:

python setup.py install

Resources

https://github.com/eyurtsev/FlowCytometryTools
https://pypi.python.org/pypi/FlowCytometryTools
http://eyurtsev.github.io/FlowCytometryTools/install.html
http://eyurtsev.github.io/FlowCytometryTools/tutorial.html

History

#1 - 11/29/2016 03:57 PM - Daniel Curtis

- Description updated

- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 11/29/2016 08:41 PM - Daniel Curtis

- Description updated

#3 - 06/04/2017 08:53 PM - Daniel Curtis

- Status changed from Resolved to Closed
